﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Gas : MonoBehaviour
{
    public enum GasType : ushort {
        GasUnknown = 0,
        GasAir = 1,
        GasPoison = 2,
        GasInflammable = 3,
        GasFire = 4
    }

    public static string getGasName(GasType gt) {
        switch (gt) {
            case Gas.GasType.GasAir:
                return "air";
            case Gas.GasType.GasPoison:
                return "poison";
            case Gas.GasType.GasInflammable:
                return "inflammable";
        }
        return "unknown";
    }

    public static bool isCombustible(GasType gt) {
        switch (gt) {
            case Gas.GasType.GasAir:
                return true;
            case Gas.GasType.GasPoison:
                return true;
            case Gas.GasType.GasInflammable:
                return true;
            default:
                return false;
        }
    }
    
    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {
    }
}
