﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GasOutput : MonoBehaviour
{

    public int xPos;
    public int yPos;
    public Gas.GasType gasType;
    public float gasFlowPower;

    public bool connectedToInput;

    private Room parentRoom;


    // Start is called before the first frame update
    void Start()
    {
        parentRoom = this.transform.GetComponentInParent<Room>();
    }

    // Update is called once per frame
    void Update()
    {
        if (!connectedToInput) {
            parentRoom.addGasToCell(xPos, yPos, gasType, gasFlowPower);
        }
    }

    public void outputGas(Gas.GasType gasType, float gasQuantity) {
        parentRoom.addGasToCell(xPos, yPos, gasType, gasQuantity);
    }
}
